"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const openapi_parser_1 = require("@readme/openapi-parser");
const vitest_1 = require("vitest");
const get_sdk_id_1 = require("./get-sdk-id");
(0, vitest_1.describe)('get-sdk-id', function () {
    (0, vitest_1.test)('should return true when valid', async () => {
        const testSpec = (await openapi_parser_1.default.validate('/Users/robert.field/Documents/Projects/EP/muse/openapi-typescript-codegen/samples/spec/shopper-v3.json'));
        (0, vitest_1.expect)((0, get_sdk_id_1.isValidDocument)(testSpec)).toEqual(true);
    });
    (0, vitest_1.test)('should correctly parse open api spec with valid entries', async () => {
        const testSpec = (await openapi_parser_1.default.validate('/Users/robert.field/Documents/Projects/EP/muse/openapi-typescript-codegen/samples/spec/shopper-v3.json'));
        (0, vitest_1.expect)((0, get_sdk_id_1.parseOpenApiSpec)(testSpec)).toEqual(testSpec);
    });
    vitest_1.test.skip('should failed to parse open api spec with invalid entries', async () => {
        const testSpec = (await openapi_parser_1.default.validate('/Users/robert.field/Documents/Projects/EP/muse/openapi-typescript-codegen/samples/spec/shopper-v3.json'));
        testSpec.info['x-sdk-json'] = undefined;
        (0, vitest_1.expect)((0, get_sdk_id_1.parseOpenApiSpec)(testSpec)).toThrowErrorMatchingSnapshot();
    });
});
